# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PropertyScoreCategoryScores do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :bathroom,
    :bedroom,
    :dining_room,
    :kitchen,
    :living_room,
    :outdoor
  ]

  @type t :: %__MODULE__{
    :bathroom => FoyerAPI.Model.Score.t | nil,
    :bedroom => FoyerAPI.Model.Score.t | nil,
    :dining_room => FoyerAPI.Model.Score.t | nil,
    :kitchen => FoyerAPI.Model.Score.t | nil,
    :living_room => FoyerAPI.Model.Score.t | nil,
    :outdoor => FoyerAPI.Model.Score.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PropertyScoreCategoryScores do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:bathroom, :struct, FoyerAPI.Model.Score, options)
    |> deserialize(:bedroom, :struct, FoyerAPI.Model.Score, options)
    |> deserialize(:dining_room, :struct, FoyerAPI.Model.Score, options)
    |> deserialize(:kitchen, :struct, FoyerAPI.Model.Score, options)
    |> deserialize(:living_room, :struct, FoyerAPI.Model.Score, options)
    |> deserialize(:outdoor, :struct, FoyerAPI.Model.Score, options)
  end
end

